Postcodes

Reverse geocoding — nearest postcode

Returns the postcode for the point given by the x and y parameters

GET/postnumre/reverse

Authentication

Authorizationstringheaderrequired

Your API key as a Bearer token.

Parameters

formatstringquery

Returns the output in a format other than JSON. See Data formats.

callbackstringquery

Returns the output as JSONP. See Data formats.

noformatstringquery

Omits whitespace formatting from the output

ndjsonstringquery

Returns the output as Newline Delimited JSON

sridintegerquery

Specifies the SRID of the coordinate system in which geospatial parameters are specified. The default is 4326 (WGS84 / geographic coordinates). For ETRS89 / UTM zone 32 North, use 25832

xnumberqueryrequired

X coordinate. (If ETRS89/UTM32 is used, the easting value is specified.) If WGS84/geographic is used, the latitude value is specified.

ynumberqueryrequired

Y coordinate. (If ETRS89/UTM32 is used, the northing value is specified.) If WGS84/geographic is used, the longitude value is specified.

strukturstringquery

The struktur parameter specifies whether a flad or nestet response structure is required. The default is nestet for JSON and flad for GeoJSON.

landpostnumrestringquery

If this parameter is set, the returned geometry for postcodes will be delimited by coastlines.

Request

curl --request GET \
  --url "https://api.danskadresseapi.dk/dawa/postnumre/reverse" \
  --url-query "x=<x>" \
  --url-query "y=<y>" \
  --header "Authorization: Bearer $API_KEY"
Try it
GET https://api.danskadresseapi.dk/dawa/postnumre/reverse

Response

application/json

Success response. The MIME type of the response depends on the format parameter.

nrstring

The postcode — four digits.

bboxnumber[]

The smallest rectangle containing the geometry.

max 4 items
hrefstring

The unique URL of the postcode.

navnstring

The name of the postcode, i.e. the postal district.

dagi_idstring

The postcode's id in the DAGI register.

ændretstring<date-time>

The time when any information was last changed.

kommunerobject[]

The municipalities in which the postcode is located wholly or partly.

geo_versioninteger

Incremented each time the geometry changes.

geo_ændretstring<date-time>

The time when the geometry was last changed.

visueltcenternumber[]

Coordinates for label placement on maps.

max 2 items
stormodtageradresserobject[] | null

Addresses tied to a large-recipient code. Null for ordinary postal codes. **Frozen as of 1 October 2026:** Empty as of 1 October 2026: DAWA had no large-recipient postal codes with addresses at shutdown (measured: /postnumre?stormodtagere=true returned 0 at DAWA and here). The field is null everywhere.

200Eksempel
{
  "nr": "…",
  "bbox": [
    0
  ],
  "href": "…",
  "navn": "…",
  "dagi_id": "…",
  "ændret": "2026-09-20T10:00:00.000Z",
  "kommuner": [
    {}
  ],
  "geo_version": 0,
  "geo_ændret": "2026-09-20T10:00:00.000Z",
  "visueltcenter": [
    0
  ],
  "stormodtageradresser": [
    {}
  ]
}
401Missing key
{
  "error": {
    "code": "unauthorized",
    "message": "Missing or invalid API key."
  }
}
Reverse geocoding — nearest postcode — DanskAdresseAPI